ReflectionClass::getDefaultProperties
ReflectionClass::getEndLine
ReflectionClass
PHP Manual

# ReflectionClass::getDocComment

(PHP 5 >= 5.1.0)

ReflectionClass::getDocComment — Gets doc comments

### Description

public string ReflectionClass::getDocComment ( void )

Gets doc comments from a class.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

This function has no parameters.

### Return Values

The doc comment if it exists, otherwise `FALSE`

### Examples

Example #1 ReflectionClass::getDocComment() example

`<?php
/**
* A test class
*
* @param foo bar
* @return baz
*/
class TestClass { }
$rc = new ReflectionClass('TestClass');
var_dump($rc->getDocComment())
?>`

The above example will output:

    string(55) "/**
    * A test class
    *
    * @param  foo bar
    * @return baz
    */"

### See Also

- ReflectionClass::getName() - Gets class name

ReflectionClass::getDefaultProperties
ReflectionClass::getEndLine
ReflectionClass
PHP Manual